image: registry.gitlab.com/redhat/centos-stream/ci-cd/dist-git-gating-tests/check_bz:latest

workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'

is-not-detached:
  stage: test
  tags:
    - gitbz
  script:
    - 'test x$CI_MERGE_REQUEST_EVENT_TYPE != xdetached'

check-gitbz:
  stage: test
  tags:
    - gitbz
  script:
    - env
    - /usr/bin/check_gitbz
  artifacts:
    paths:
      - "debug.log"
    expire_in: 1 week
